package com.dev.swms.server.model.abstractEntity;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Warehouse;

public class BigItem extends Entity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String  code;//完成品品番
	private String  name;//完成品型式名
	private String  modelType;//机种
	private String   countries;//国别
	private Warehouse warehouse;
	private String   str1;//出库类型
	private String   str2;//工序4
	private String   str3;//工序5
	private String   str4;//工序6
	
	public Warehouse getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}

	private String description;//备注

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getModelType() {
		return modelType;
	}

	public void setModelType(String modelType) {
		this.modelType = modelType;
	}

	public String getCountries() {
		return countries;
	}

	public void setCountries(String countries) {
		this.countries = countries;
	}

	public String getStr1() {
		return str1;
	}

	public void setStr1(String str1) {
		this.str1 = str1;
	}

	public String getStr2() {
		return str2;
	}

	public void setStr2(String str2) {
		this.str2 = str2;
	}

	public String getStr3() {
		return str3;
	}

	public void setStr3(String str3) {
		this.str3 = str3;
	}

	public String getStr4() {
		return str4;
	}

	public void setStr4(String str4) {
		this.str4 = str4;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
	
	
	
}
